.preference {

    &__main {
        border: 1px solid #F2F2F2;
        border-top: 2px solid $purple;
    }

    &__content {
        font-weight: 500;
        line-height: 125%;
        font-size: rem(12);
        position: relative;
        padding: rem(116) rem(16) rem(32) rem(16);

        p {
            margin-bottom: rem(10);

            &:last-child {
                margin-bottom: 0;
            }
        }
    }

    &__media {
        top: 0;
        left: 0;
        width: rem(92);
        height: rem(92);
        position: absolute;
        background: #F5F5F3;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    &__image {
        width: 49px;
        height: 49px;
        display: block;
        flex-shrink: 0;
        fill: $black;
    }

    &__switcher {
        display: grid;
        grid-template-columns: 1fr 1fr;
    }

    &__item {
        fill: $purple;
        color: $black;
        cursor: pointer;
        font-weight: 600;
        line-height: 135%;
        font-size: rem(12);
        position: relative;
        padding: rem(16) rem(14);
        border: 1px solid #F2F2F2;

        &:nth-child(1),
        &:nth-child(3) {
            border-right: none;
        }

        &:nth-child(1),
        &:nth-child(2) {
            border-bottom: none;
        }

        &:nth-child(3),
        &:nth-child(4) {
            border-bottom: none;
        }

        &.active {
            fill: $white;
            color: $white;
            background: $purple;

            .preference {

                &__num {
                    color: $white;
                }

                &__icon {
                    opacity: 0.5;
                }
            }
        }
    }

    &__num {
        top: rem(12);
        right: rem(12);
        color: $purple;
        font-weight: 600;
        font-size: rem(14);
        line-height: rem(14);
        position: absolute;
    }

    &__icon {
        width: rem(40);
        height: rem(40);
        display: block;
        margin-bottom: rem(15);
    }

    &__header {
        font-weight: 600;
        line-height: 135%;
        font-size: rem(16);
        margin-bottom: rem(10);
    }

    @include media-breakpoint-up(md) {

        &__content {
            line-height: 135%;
            font-size: rem(16);
            padding: rem(210) rem(70) rem(50) rem(70);
        }

        &__media {
            width: 176px;
            height: 176px;
        }

        &__image {
            width: 72px;
            height: 72px;
        }

        &__header {
            font-size: rem(26);
            margin-bottom: rem(40);
        }

        &__item {
            min-height: rem(340);
            font-size: rem(18);
            line-height: 135%;
            padding: rem(88) rem(38) rem(56) rem(38);
        }

        &__num {
            top: rem(28);
            right: rem(28);
            font-size: rem(16);
            line-height: rem(16);
        }

        &__icon {
            width: rem(62);
            height: rem(62);
            margin-bottom: rem(34);
        }
    }

    @include media-breakpoint-up(lg) {}

    @include media-breakpoint-up(xl) {
        display: flex;

        &__main {
            width: 56%;
            flex-shrink: 0;
            border-left: none;
            order: 1;
            border-right: none;
            border-top: 1px solid #F2F2F2;
            border-left: 1px solid #F2F2F2;
            border-bottom: 2px solid $purple;
        }

        &__switcher {
            flex-grow: 1;
            order: 2;
        }

        &__item {

            &:nth-child(1),
            &:nth-child(2) {
                border-top: 1px solid #F2F2F2;
            }

            &:nth-child(3),
            &:nth-child(4) {
                border-bottom: 1px solid #F2F2F2;
            }
        }
    }

    @include media-breakpoint-up(xxl) {

        &__main {
            width: rem(750);
        }

        &__media {
            width: 182px;
            height: 182px;
        }

        &__image {
            width: 74px;
            height: 74px;
        }

        &__content {
            padding: rem(250) rem(72) rem(72) rem(72);
        }

        &__item {
            min-height: rem(360);
            padding: rem(94) rem(40) rem(56) rem(40);
        }

        &__num {
            top: rem(30);
            right: rem(30);
            font-size: rem(24);
            line-height: rem(24);
        }

        &__icon {
            width: rem(65);
            height: rem(65);
            margin-bottom: rem(36);
        }
    }
}


